%define upstream_name    Net-DNS-Match
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for testing domains against another list of domains (similar to Net::Patricia but for FQDNs)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module was initially created to test a list of domains against a
whitelist (eg: the Alexa top 1000 list).

EXPORT
    None by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-6.mga6
+ Revision: 1031063
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-5.mga6
+ Revision: 949394
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 789656
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-3.mga5
+ Revision: 745071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-2.mga5
+ Revision: 685640
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 585163
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513409
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 306183
- update to 0.04

* Wed Oct 10 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 304440
- imported package perl-Net-DNS-Match


* Wed Oct 10 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
